LibreOffice: XAccessibleAction Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XAccessibleAction Interface Reference

Implement this interface to give access to actions that can be executed for accessible objects. More...

`import "XAccessibleAction.idl";`

Inheritance diagram for XAccessibleAction:

## Public Member Functions
long | getAccessibleActionCount ()
| Returns the number of accessible actions available in this object.
boolean | doAccessibleAction ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Perform the specified Action on the object.
string | getAccessibleActionDescription ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a description of the specified action of the object.
XAccessibleKeyBinding | getAccessibleActionKeyBinding ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a key binding object, if there is one, associated with the specified action.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Implement this interface to give access to actions that can be executed for accessible objects.

Every accessible object that can be manipulated beyond its methods exported over the accessibility API should support this interface to expose all actions that it can perform. Each action can be performed or be queried for a description or associated key bindings.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ doAccessibleAction()

boolean doAccessibleAction | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Perform the specified Action on the object.

Parameters

  nIndex | This index specifies the action to perform.

Returns
  Returns TRUE if the action was successfully performed. If the action could not be performed successfully FALSE is returned.

Exceptions

  IndexOutOfBoundsException | If no action with the given index exists then an com::sun::star::lang::IndexOutOfBoundsException exception is thrown.

## ◆ getAccessibleActionCount()

long getAccessibleActionCount | ( |  | ) |

Returns the number of accessible actions available in this object.

If there are more than one, the first one is considered the "default" action of the object.

Returns
  The returned value of the number of actions is zero if there are no actions.

## ◆ getAccessibleActionDescription()

string getAccessibleActionDescription | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns a description of the specified action of the object.

Parameters

  nIndex | This index specifies the action of which to return a description.

Returns
  The returned value is a localized string of the specified action.

Exceptions

  IndexOutOfBoundsException | If the given index does not lie in the valid range then a com::sun::star::lang::IndexOutOfBoundsException exception is thrown.

## ◆ getAccessibleActionKeyBinding()

XAccessibleKeyBinding getAccessibleActionKeyBinding | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns a key binding object, if there is one, associated with the specified action.

Note that there can be several alternative key bindings for an action. See XAccessibleKeyBinding for more information about how key bindings are represented.

Parameters

  nIndex | This index specifies the action for which to return the key binding.

Returns
  The returned object describes a set of key bindings associated with the specified action.

Exceptions

  IndexOutOfBoundsException | if the given index is not valid.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleAction.idl